
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "controlled_exposure/version"

Gem::Specification.new do |spec|
  spec.name          = "controlled_exposure"
  spec.version       = ControlledExposure::VERSION
  spec.authors       = ["Stephan Zalewski"]
  spec.email         = ["stephan+github@stzal.com"]

  spec.summary       = %q{controll exposure of instance variables in rails views}
  spec.description   = %q{prevent automatic access to controller instance variables and enforce exposure via helper methods}
  spec.homepage      = "https://github.com/stepahn/controlled_exposure"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  if spec.respond_to?(:metadata)
    spec.metadata["homepage_uri"] = spec.homepage
    spec.metadata["source_code_uri"] = spec.homepage
  else
    raise "RubyGems 2.0 or newer is required to protect against " \
      "public gem pushes."
  end

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "railties", ">= 4.2.0"

  spec.add_development_dependency "bundler", "~> 1.17"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "pry-byebug"
  spec.add_development_dependency "railties", ">= 4.2.0"
  spec.add_development_dependency "rake", "~> 10.0"
end
